<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>Person</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Person";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Person.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">ticket</a></div>
<h2 title="Class Person" class="title">Class Person</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ticket.Person</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Person</span>
extends java.lang.Object</pre>
<div class="block">Class to manage each one of the people of a ticket</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#age">age</a></span></code></th>
<td class="colLast">
<div class="block">Age of the person</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="DiscountEnum.html" title="enum in ticket">DiscountEnum</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#discountList">discountList</a></span></code></th>
<td class="colLast">
<div class="block">Additional list of discounts that apply to the group</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="PersonEnum.html" title="enum in ticket">PersonEnum</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#group">group</a></span></code></th>
<td class="colLast">
<div class="block">Group of the person.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#height">height</a></span></code></th>
<td class="colLast">
<div class="block">Height of the person</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_AGE">TEXT_AGE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_DISCOUNTS">TEXT_DISCOUNTS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_HEIGHT">TEXT_HEIGHT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_VIP_SUPPLEMENT">TEXT_VIP_SUPPLEMENT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#VIP_SUPPLEMENT_COST">VIP_SUPPLEMENT_COST</a></span></code></th>
<td class="colLast">
<div class="block">Set the price for the preferred pass or vip pass</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#vipSupplement">vipSupplement</a></span></code></th>
<td class="colLast">
<div class="block">Indicate if the group has a preferred pass or vip pass</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int)">Person</a></span>&#8203;(int&nbsp;age,
      int&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Class constructor.Allows to build a new instance from the age</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(ticket.PersonEnum)">Person</a></span>&#8203;(<a href="PersonEnum.html" title="enum in ticket">PersonEnum</a>&nbsp;group)</code></th>
<td class="colLast">
<div class="block">Class constructor.</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addDiscount(ticket.DiscountEnum)">addDiscount</a></span>&#8203;(<a href="DiscountEnum.html" title="enum in ticket">DiscountEnum</a>&nbsp;newDiscount)</code></th>
<td class="colLast">
<div class="block">Add a new discount to discount list</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionAge()">descriptionAge</a></span>()</code></th>
<td class="colLast">
<div class="block">Simple description of age and group of person</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionDescounts()">descriptionDescounts</a></span>()</code></th>
<td class="colLast">
<div class="block">Descounts list display in line</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionHeight()">descriptionHeight</a></span>()</code></th>
<td class="colLast">
<div class="block">Simple description of height and group of person</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionVipSupplement()">descriptionVipSupplement</a></span>()</code></th>
<td class="colLast">
<div class="block">Simple description of vip supplement status</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAge()">getAge</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicates the age of person</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="DiscountEnum.html" title="enum in ticket">DiscountEnum</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDiscounts()">getDiscounts</a></span>()</code></th>
<td class="colLast">
<div class="block">Discounts list</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code><a href="PersonEnum.html" title="enum in ticket">PersonEnum</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGroup()">getGroup</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicates the type of the group</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getHeight()">getHeight</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicates the height of person</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isChildren()">isChildren</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicates if person is a children</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isVipSupplement()">isVipSupplement</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicate if the group has a preferred pass or vip pass</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#price(double,double)">price</a></span>&#8203;(double&nbsp;basePrice,
     double&nbsp;minPrice)</code></th>
<td class="colLast">
<div class="block">Obtain price for person</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeDiscount(int)">removeDiscount</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Remove indicate discount from discount list</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAge(int)">setAge</a></span>&#8203;(int&nbsp;age)</code></th>
<td class="colLast">
<div class="block">Set the age and group for the person</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHeight(int)">setHeight</a></span>&#8203;(int&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Set the height for the person</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setVipSupplement(boolean)">setVipSupplement</a></span>&#8203;(boolean&nbsp;vipSupplement)</code></th>
<td class="colLast">
<div class="block">Set or remove the preferred pass or vip pass for the group</div>
</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">Description formatted for printing</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="TEXT_AGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_AGE</h4>
<pre>private static final&nbsp;java.lang.String TEXT_AGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Person.TEXT_AGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_DISCOUNTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_DISCOUNTS</h4>
<pre>private static final&nbsp;java.lang.String TEXT_DISCOUNTS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Person.TEXT_DISCOUNTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_HEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_HEIGHT</h4>
<pre>private static final&nbsp;java.lang.String TEXT_HEIGHT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Person.TEXT_HEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_VIP_SUPPLEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_VIP_SUPPLEMENT</h4>
<pre>private static final&nbsp;java.lang.String TEXT_VIP_SUPPLEMENT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Person.TEXT_VIP_SUPPLEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="VIP_SUPPLEMENT_COST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VIP_SUPPLEMENT_COST</h4>
<pre>static final&nbsp;double VIP_SUPPLEMENT_COST</pre>
<div class="block">Set the price for the preferred pass or vip pass</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#ticket.Person.VIP_SUPPLEMENT_COST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="age">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>age</h4>
<pre>private&nbsp;int age</pre>
<div class="block">Age of the person</div>
</li>
</ul>
<a id="discountList">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>discountList</h4>
<pre>private final&nbsp;java.util.ArrayList&lt;<a href="DiscountEnum.html" title="enum in ticket">DiscountEnum</a>&gt; discountList</pre>
<div class="block">Additional list of discounts that apply to the group</div>
</li>
</ul>
<a id="group">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>group</h4>
<pre>private&nbsp;<a href="PersonEnum.html" title="enum in ticket">PersonEnum</a> group</pre>
<div class="block">Group of the person. Set the base discount to apply</div>
</li>
</ul>
<a id="height">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>height</h4>
<pre>private&nbsp;int height</pre>
<div class="block">Height of the person</div>
</li>
</ul>
<a id="vipSupplement">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>vipSupplement</h4>
<pre>private&nbsp;boolean vipSupplement</pre>
<div class="block">Indicate if the group has a preferred pass or vip pass</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Person</h4>
<pre>public&nbsp;Person&#8203;(int&nbsp;age,
              int&nbsp;height)</pre>
<div class="block">Class constructor.Allows to build a new instance from the age</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>age</code> - </dd>
<dd><code>height</code> - </dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(ticket.PersonEnum)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Person</h4>
<pre>public&nbsp;Person&#8203;(<a href="PersonEnum.html" title="enum in ticket">PersonEnum</a>&nbsp;group)</pre>
<div class="block">Class constructor.
 Allows to build a new instance from the person group</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>group</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addDiscount(ticket.DiscountEnum)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addDiscount</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;addDiscount&#8203;(<a href="DiscountEnum.html" title="enum in ticket">DiscountEnum</a>&nbsp;newDiscount)</pre>
<div class="block">Add a new discount to discount list</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newDiscount</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="descriptionAge()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionAge</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionAge()</pre>
<div class="block">Simple description of age and group of person</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="descriptionHeight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionHeight</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionHeight()</pre>
<div class="block">Simple description of height and group of person</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="descriptionDescounts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionDescounts</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionDescounts()</pre>
<div class="block">Descounts list display in line</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="descriptionVipSupplement()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionVipSupplement</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionVipSupplement()</pre>
<div class="block">Simple description of vip supplement status</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getAge()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAge</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getAge()</pre>
<div class="block">Indicates the age of person</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getDiscounts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDiscounts</h4>
<pre class="methodSignature">public&nbsp;java.util.ArrayList&lt;<a href="DiscountEnum.html" title="enum in ticket">DiscountEnum</a>&gt;&nbsp;getDiscounts()</pre>
<div class="block">Discounts list</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of DiscountEnum</dd>
</dl>
</li>
</ul>
<a id="getGroup()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGroup</h4>
<pre class="methodSignature">public&nbsp;<a href="PersonEnum.html" title="enum in ticket">PersonEnum</a>&nbsp;getGroup()</pre>
<div class="block">Indicates the type of the group</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PersonEnum</dd>
</dl>
</li>
</ul>
<a id="getHeight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getHeight()</pre>
<div class="block">Indicates the height of person</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="price(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>price</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;price&#8203;(double&nbsp;basePrice,
                    double&nbsp;minPrice)</pre>
<div class="block">Obtain price for person</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>basePrice</code> - </dd>
<dd><code>minPrice</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double</dd>
</dl>
</li>
</ul>
<a id="isChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isChildren</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isChildren()</pre>
<div class="block">Indicates if person is a children</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="isVipSupplement()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVipSupplement</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isVipSupplement()</pre>
<div class="block">Indicate if the group has a preferred pass or vip pass</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="removeDiscount(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeDiscount</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeDiscount&#8203;(int&nbsp;index)</pre>
<div class="block">Remove indicate discount from discount list</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - </dd>
</dl>
</li>
</ul>
<a id="setAge(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAge</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAge&#8203;(int&nbsp;age)</pre>
<div class="block">Set the age and group for the person</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>age</code> - </dd>
</dl>
</li>
</ul>
<a id="setHeight(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeight</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setHeight&#8203;(int&nbsp;height)</pre>
<div class="block">Set the height for the person</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>height</code> - </dd>
</dl>
</li>
</ul>
<a id="setVipSupplement(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVipSupplement</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setVipSupplement&#8203;(boolean&nbsp;vipSupplement)</pre>
<div class="block">Set or remove the preferred pass or vip pass for the group</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vipSupplement</code> - </dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Description formatted for printing</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Person.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
